Use this API to return a list of authorization servers.
This call returns up to 1000 Authorization Servers. Pagination is not available.
Resource URL
https://<subdomain>.onelogin.com/api/2/api_authorizationsHeader Parameters
Authorization required string | Set to Set The access token must have been generated using an API credential pair created using the scope required to call this API. This API can be called using any one of the following scopes: |
Query Parameters
name string | The name or partial name of the authorization server to locate. |
Sample Responses
- 200 OK
- 401 Unauthorized
See API Authorization Resource for attribute definitions.
[
{
"id": 1022697,
"name": "Contacts API",
"configuration": {
"resource_identifier": "https://example.com/contacts",
"audiences": [
"https://example.com/contacts"
]
},
"description": "This is an api"
},
...
]Typically, this error means that your access token value is invalid.
{
"message": "Unauthorized",
"statusCode": 401,
"name": "UnauthorizedError"
}Postman Collection
Sample Code
cURL
Replace sample values indicated by < > with your actual values.
List Apps
curl 'https://<subdomain>.onelogin.com/api/2/api_authorizations' \
-X GET \
-H "Authorization: bearer <access_token>"Have a Question?
Found a problem or a bug? Submit a support ticket.
Looking for walkthroughs or how-to guides? Check out our Knowledge Base.
Have a product idea or request? Share it in our Ideas Portal.